@echo off
REM -----------'REM's are comments, delete the 'REM' to enable the line, Add REM to disable it.

REM ---- The following line sets the current directory to that of this batch file:
cd /d %0\..

set emulator="C:\Program Files\Microsoft Device Emulator\1.0\DeviceEmulator.exe"
set imagefile="C:\Program Files\Microsoft Windows Mobile 5.0 MSFP Emulator Images\pocketpc.nb0"
set skinfile=Pocket_PC.xml
set sharedfolder=../../SharedFiles
set savedstate=240x320.dess
set networkenabled="YES"
set memsize=128
set vmname="240x320 Windows Mobile 5.0"
set filename="No SaveFile"


REM ---------- Check if there's a .dess file present  in this directory - if so, we'll load that
echo Looking for saved state...
for /f "tokens=*" %%a in ('dir /b *.dess') DO set filename=%%a
IF NOT %filename%=="No SaveFile" GOTO=loadDess
GOTO=LoadNew


:loadDess
set /P load=Saved state found (%filename%) - do you want to load it? y/n:
if NOT %load%==y GOTO=LoadNew

set execute=%emulator% /s %filename%
echo loading saved state
GOTO=Execute


:LoadNew
set execute=%emulator%

IF DEFINED imagefile set execute=%execute% %imagefile%
IF DEFINED skinfile set execute=%execute% /skin %skinfile%
IF DEFINED sharedfolder set execute=%execute% /sharedfolder %sharedfolder%
IF DEFINED memsize set execute=%execute% /memsize %memsize%
IF DEFINED savedstate set execute=%execute% /s %savedstate%
IF DEFINED vmname set execute=%execute% /vmname %vmname%

IF %networkenabled%=="YES" set execute=%execute% /p
echo Loading fresh boot


:Execute
%execute%

cls
@exit